Bug 245172 - add domains to autostart doesn't work
add domains to autostart doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 09:52 EDT by Thomas Antony
Modified: 2008-06-16 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2007-06-21 09:52:16 EDT
Description of problem:
Setting a domain to autostart with virsh does not work.
When the domain ist running i get the error message: "Failed to mark domain
Win2k3 as autostarted."
When the domain is shutdown, the domain is listed with virsh list and the error
message is different:
[thomas@srv01 ~]$ sudo virsh autostart Win2k3
libvir: Xen Daemon error : GET operation failed:
error: failed to get domain 'Win2k3'
So there is no option in virt-manager to set a domain to autostart and virsh
autostart doesn't work.


Version-Release number of selected component (if applicable):
0.2.3-1


How reproducible:
[thomas@srv01 ~]$ sudo virsh autostart mydomain
error: Failed to mark domain mydomain as autostarted


Steps to Reproduce:
1. Create a new domain with virsh
2. Start the new domain
3. Set the new domain to autostart with "virsh autostart domain"
  
Actual results:
virsh autostart domain doesn't add a domain to autostart and end with a error
message

Expected results:
Set domains to autostart that they automatic boot when the physical machine is
rebooting.
Comment 1 Daniel Veillard 2007-06-21 11:20:36 EDT
what does "virsh list" reports, what does "virsh dominfo mydomain" shows too ?
"libvir: Xen Daemon error : GET operation failed:"
what versions of xen are you running ?
Can you check /var/log/xen/xend.log to look for more details on the error.
It's sure annoying but I would not say it's high priority.

Daniel
Comment 2 Daniel Berrange 2007-06-21 11:25:38 EDT
Hmm, seems we forgot to implement the  virDomain{Get,Set}Autostart  methods  for
the Xen drivers - only implemented it for QEMU/KVM driver.
Comment 3 Thomas Antony 2007-06-21 11:58:43 EDT
I'm running stock F7 x86_64

virsh list reports if the domain is running the ID, Name and the state.
If the domain is not running, virsh list reprts nothing.

[root@srv01 ~]# virsh dominfo mydomain
Id:             12
Name:           mydomain
UUID:           3914e653-fdec-566c-c4ca-6b1cdef14ee2
OS Type:        hvm
State:          running
CPU(s):         1
CPU time:       1084.0s
Max memory:     532480 kB
Used memory:    532352 kB

In /var/log/xen/xend.log there is nothing special which could give a hint, but
there is something in xend-debug.log.

XendInvalidDomain: <Fault 3: '3914e653-fdec-566c-c4ca-6b1cdef14ee2'>
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/xen/web/httpserver.py", line 140, in
process
    resource = self.getResource()
  File "/usr/lib64/python2.5/site-packages/xen/web/httpserver.py", line 172, in
getResource
    return self.getServer().getResource(self)
  File "/usr/lib64/python2.5/site-packages/xen/web/httpserver.py", line 351, in
getResource
    return self.root.getRequestResource(req)
  File "/usr/lib64/python2.5/site-packages/xen/web/resource.py", line 39, in
getRequestResource
    return findResource(self, req)
  File "/usr/lib64/python2.5/site-packages/xen/web/resource.py", line 26, in
findResource
    next = resource.getPathResource(pathElement, request)
  File "/usr/lib64/python2.5/site-packages/xen/web/resource.py", line 49, in
getPathResource
    val = self.getChild(path, request)
  File "/usr/lib64/python2.5/site-packages/xen/web/SrvDir.py", line 71, in getChild
    val = self.get(x)
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvDomainDir.py",
line 52, in get
    return self.domain(x)
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/SrvDomainDir.py",
line 44, in domain
    dom = self.xd.domain_lookup(x)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomain.py", line 524, in
domain_lookup
    raise XendInvalidDomain(str(domid))
XendInvalidDomain: <Fault 3: 'mydomain'>
Comment 4 Richard W.M. Jones 2007-07-02 07:55:20 EDT
Additional info:
http://libvirt.org/hvsupport.html shows what libvirt calls are
supported by what hypervisor.  This is a libvirt bug / feature request.
Comment 5 Bug Zapper 2008-05-14 09:13:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:40:32 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.